Cantera 2.6.0

Classes | Namespaces | Variables
solveSP.h File Reference

Header file for implicit surface problem solver (see Chemical Kinetics and class solveSP). More...

`#include "cantera/kinetics/InterfaceKinetics.h"`
`#include "cantera/numerics/DenseMatrix.h"`
Include dependency graph for solveSP.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | solveSP
| Method to solve a pseudo steady state surface problem. More...

## Namespaces
namespace | Cantera
| Namespace for the Cantera kernel.

## Variables
const int | SFLUX_INITIALIZE = 1
| This assumes that the initial guess supplied to the routine is far from the correct one. More...
const int | SFLUX_RESIDUAL = 2
| Need to solve the surface problem in order to calculate the surface fluxes of gas-phase species. More...
const int | SFLUX_JACOBIAN = 3
| Calculation of the surface problem is due to the need for a numerical Jacobian for the gas-problem. More...
const int | SFLUX_TRANSIENT = 4
| The transient calculation is performed here for an amount of time specified by "time_scale". More...
const int | BULK_DEPOSITION = 1
| Deposition of a bulk phase is to be expected. More...
const int | BULK_ETCH = 2
| Etching of a bulk phase is to be expected. More...

## Detailed Description

Header file for implicit surface problem solver (see Chemical Kinetics and class solveSP).

Definition in file solveSP.h.